Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.config.phase
Class SolverPhaseConfig

    java.lang.Object
      org.drools.planner.config.phase.SolverPhaseConfig

Direct Known Subclasses:
  BruteForceSolverPhaseConfig, ConstructionHeuristicSolverPhaseConfig, CustomSolverPhaseConfig, GreedyFitSolverPhaseConfig, LocalSearchSolverPhaseConfig

    public abstract class SolverPhaseConfig

extends Object

Constructor Summary
`SolverPhaseConfig()`

Method Summary
`abstract SolverPhase` | `buildSolverPhase(EnvironmentMode environmentMode, SolutionDescriptor solutionDescriptor, ScoreDefinition scoreDefinition, Termination solverTermination)`
`protected void` | `configureSolverPhase(AbstractSolverPhase solverPhase, EnvironmentMode environmentMode, ScoreDefinition scoreDefinition, Termination solverTermination)`
`TerminationConfig` | `getTerminationConfig()`
`void` | `inherit(SolverPhaseConfig inheritedConfig)`
`void` | `setTerminationConfig(TerminationConfig terminationConfig)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SolverPhaseConfig

    public SolverPhaseConfig()

Method Detail

### getTerminationConfig

    public TerminationConfig getTerminationConfig()

### setTerminationConfig

    public void setTerminationConfig(TerminationConfig terminationConfig)

### buildSolverPhase

    public abstract SolverPhase buildSolverPhase(EnvironmentMode environmentMode,
                                                 SolutionDescriptor solutionDescriptor,
                                                 ScoreDefinition scoreDefinition,
                                                 Termination solverTermination)

### configureSolverPhase

    protected void configureSolverPhase(AbstractSolverPhase solverPhase,
                                        EnvironmentMode environmentMode,
                                        ScoreDefinition scoreDefinition,
                                        Termination solverTermination)

### inherit

    public void inherit(SolverPhaseConfig inheritedConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.